unit test;
(*
  Esimerkki
    1) Liikkuvan auton kytst
    2) Olion dynaamisesta luomisesta
    3) Olion lhettmn omatekoisen viestin vastaanottamisesta

  Auto luodaan dynaamisesti ohjelman kynnistyess.
  KAuto on tehty jo suunnitteluvaiheessa.
  LaskuriX nyttn Auton x-koordinaatin.
  LaskuriKpl laskee monestiko autot ovat kyneet kntymss oikeassa reunassa.

  Tarvitsee toimiakseen test.pas, laskuri.pas ja auto.pas.
  Laskuri.pas ja auto.pas pit asentaa komponentteihin, jos testilomake
  halutaan nhd suunnitteluaikana.

  Vesa Lappalainen 23.10.1997
*)
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls,Auto, StdCtrls, laskuri;

type
  TFormAutoTesti = class(TForm)
    KAuto: TAuto;
    Auto1: TAuto;
    LaskuriKpl: TLaskuri;
    LaskuriX: TLaskuri;
    procedure FormCreate(Sender: TObject);
    procedure AutoMove(sender:TObject;x,y:integer);
    procedure KAutoChangeDir(sender: TObject; dir: Integer);
  private
    Auto : TAuto;
  public
  end;

var
  FormAutoTesti: TFormAutoTesti;

implementation

{$R *.DFM}

procedure TFormAutoTesti.FormCreate(Sender: TObject);
begin
  Auto := TAuto.Create(self);
  Auto.Left := 20;
  Auto.Top := 50;
  Auto.Parent := self;
  Auto.BitName := 'Hauto.bmp';
  Auto.Vauhti := 10;
  Auto.Vauhti := 10;
  Auto.OnAutoMove := AutoMove;
  Auto.OnChangeDir := KAutoChangeDir;
end;

procedure TFormAutoTesti.AutoMove(sender:TObject;x,y:integer);
begin
  LaskuriX.Value := x;
end;

procedure TFormAutoTesti.KAutoChangeDir(sender: TObject; dir: Integer);
begin
  if ( dir > 0 ) then LaskuriKpl.Inc(1);
end;

end.
